This is a migrated thread and some comments may be shown as answers.

Telerik Imagemap issues in IE8

1 Answer 29 Views
General Discussions
This is a migrated thread and some comments may be shown as answers.
Lakshmi Satish Maddela
Top achievements
Rank 1
Lakshmi Satish Maddela asked on 22 Jun 2010, 04:35 PM
Hi all,

I'm using below control in the application.
Telerik controls version : 2008.2.1001.35 (for Telerik.Web.UI.dll)

I'm trying to open an image in image map editor using the telerik controls. I see below error on the screen
-----------------------------------------------------------------------------------------------------------------------------------------------------

Webpage error details

User Agent: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; Trident/4.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0)
Timestamp: Tue, 22 Jun 2010 15:26:48 UTC

Message: Invalid argument.
Line: 364
Char: 1
Code: 0
URI: http://deployweb27-vmh/virtualdir/ScriptResource.axd?d=WihqqjEecAvyXn5-_QocbnEzf1z_E-GzP_v5dtQ6cZfRAzpvwqzpyxaV0rtWxIicBR08FUEttZiRB1oCoINiECSdH-8vyPnUoXCPt2k6RkU1&t=ffffffffdfc5bbf0

-------------------------------------------------------------------------------------------------------------- ------------------------------

Investigation:
Based on some calculation, I see some negative value is assigning to a variable _45 in scriptResource.axd in the function wrapwithRoundCorners(). Just for testing purpose, I've modified to a positive value in debug window. I didn't see any issue then. If I left this with -ve value, it is throwing above said error.

Question:
I would like to know whether there are any issues with the combination of IE8 and windows7. Any inputs are appreciable to further proceed on this.


Thanks,
Mallesh.

1 Answer, 1 is accepted

Sort by
0
Rumen
Telerik team
answered on 23 Jun 2010, 07:42 AM
Hi Lakshmi,

RadControls for ASP.NET AJAX Version 2008.2.1001.35 is released at least an year before the official release of Internet Explorer 8 and it does not support this browser version.

We provided full support for IE8 in Q1 2009 SP1 (version 2009.1.402)  and my recommendation is to upgrade to the latest Q1 2010 SP2 (version 2010.1.519) to solve the problem.

Best regards,
Rumen
the Telerik team
Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
Tags
General Discussions
Asked by
Lakshmi Satish Maddela
Top achievements
Rank 1
Answers by
Rumen
Telerik team
Share this question
or